Subject: bug#77917: 31.0.50; [PATCH] Stop using the "stop" sign for all warning levels

From: Eli Zaretskii <[email-masked]>
Date: Tue, 06 May 2025 14:29:34 +0300

> From: Robert Pluim <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  Ihor Radchenko <[email-masked]>,
>   [email-masked],  [email-masked]
> Date: Tue, 06 May 2025 09:39:56 +0200
> 
> >>>>> On Mon, 05 May 2025 21:53:31 +0300, Juri Linkov <[email-masked]> said:
> 
>     >>> Then, what about
>     >>> 
>     >>> +                (insert (buttonize (concat (icon-string 'warnings-suppress) " [Suppress?]")
>     >>> +                                   #'warnings-suppress
>     >>> +                                   type
>     >>> +                                   "Click to suppress this warning type")
>     >> 
>     >> May I suggest to look at how other applications handle such
>     >> situations, i.e. when a message is shown and the user is given a
>     >> capability of disabling it?  Maybe that way we will find
>     >> implementation ideas that are both familiar to users and look nicer?
> 
>     Juri> Here is an interesting solution of using the context menu
>     Juri> to suppress warnings:
> 
>     Juri> https://stackoverflow.com/questions/32085708/suppress-warnings-in-visual-studio-2015-for-custom-code-analyzers
> 
> I conclude from that that we should use U+26A0 U+FE0F ⚠️ as the symbol
> to insert.

Really?  So we've just made another full circle back to the beginning?
Where someone said, and I agree, that showing ⚠️ explains itself worse
than the existing symbol, because it could be easily interpreted as
meaning just "Warning".